Subject: Re: linux-next: manual merge of the rcu tree with the printk tree

From: Petr Mladek <[email-masked]>
Date: Thu, 1 Dec 2022 11:41:57 +0100

On Wed 2022-11-30 15:59:59, Paul E. McKenney wrote:
> On Thu, Dec 01, 2022 at 10:55:04AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the rcu tree got a conflict in:
> > 
> >   kernel/rcu/update.c
> > 
> > between commit:
> > 
> >   64e838679e14 ("rcu: Make SRCU mandatory")
> > 
> > from the printk tree and commit:
> > 
> >   0cd7e350abc4 ("rcu: Make SRCU mandatory")
> > 
> > from the rcu tree.
> > 
> > I fixed it up (I just used the latter - it kept the WARN_ON_ONCE) and
> > can carry the fix as necessary. This is now fixed as far as linux-next
> > is concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.
> > 
> > Maybe you could share a (non rebasing) topic branch?
> 
> Please accept my apologies for the hassle!
> 
> We are sharing a topic branch, but it recently changed and was therefore
> rebased.  You saw -rcu providing the updated version to -next, but what
> with timezones and all, printk() is still providing the old one.

I have rebased the printk tree on top of the updated commit
0cd7e350abc4 ("rcu: Make SRCU mandatory").

All should be fine now.

It is great the linux-next exists.

Best Regards,
Petr